Contents

# Shell Function

Yoo barbaachisaa ta'e, Raawwii biraa kaasuu fi haalata foddaa kanaan walqabatu ibsuu dha.

### Syntax:

Shell (Pathname As String[, Windowstyle As Integer[, Param As String[, bSync]]])

### Parameters:

### Maqaa xurree

Name of the program that you want to start, optionally with complete path and/or arguments.

### Haalata foddaa

Optional integer expression that specifies the style of the window that the program is executed in.

Parameter Windowstyle is only effective on Windows systems. On other systems the parameter is ignored.

The following values are possible:

Windowstyle | Hiikkoo
--- | ---
0 | Xiyyeeffannaan foddaa sagantaa dhokfame irra jira. Not implemented in LibreOffice.
1 | Xiyyeeffannaan foddaa sagantaa irra hammamtaa durtiitiin jira. Not implemented in LibreOffice.
2 | Xiyyeeffannaan, foddaa sagantaa xinneeffame irra jira.
3 | Xiyyeeffannaan foddaa sagantaa guddaterra.
4 | Hammamtaa foddaa sagantaa durtii, xiyyeeffannoo malee. Not implemented in LibreOffice.
6 | Foddaa sagantaa xinneeffame, xiyyeeffannaan foddaa ka'aarra tura. Not implemented in LibreOffice.
10 | Agarsiisa argii-guutuu.

Windowstyle 3 and 10 are equivalent in Windows systems.

### Param

String that specifies additional arguments passed to the program.

### bSync

Yoo gatiin kun true qindeeffame, ajajni qolaa fi dalagaawwan LibreOffice marti hanga hojiin qolaa xumuramutti ni eegu. Yoo gatiin isaa false qindeeffame, qolli kallattumaan deebi'a. Gatiin durtii isaa false dha.

### Error codes:

5 Ejjatoo fashalaan waamu

53 Faayilii hin argamne 53 Faayilii hin argamne 53 Faayilii hin argamne 53 Faayilii hin argamne 53 Faayilii hin argamne 53 Faayilii hin argamne

73 Kolatiin hin raawwatamu

### Example:

    Sub ExampleShellForWin
        Shell("c:\windows\calc.exe",2)
    End Sub